#include <tonc.h>
#include "include/room.h"
#include "include/link.h"

extern OBJ_ATTR sprite_list[];
extern unsigned int sprite_count;
extern unsigned int room_index;
extern ObjectLink Link;

//******************************************************************************
//* ROOM A                                                                     *
//******************************************************************************

static void scr_roomA(){
  Link_Create(&Link,120,64,270);

  while (room_index == roomA){
    VBlankIntrWait();
    key_poll();
    oam_init(sprite_list,sprite_count);
    sprite_count = 0;
    Link_Step(&Link);
    Link_Draw(&Link);
    oam_copy(oam_mem,sprite_list,sprite_count);
  }
}

//******************************************************************************
//* ROOM B                                                                     *
//******************************************************************************

static void scr_roomB(){

}

//******************************************************************************
//******************************************************************************

static void (*roomFunctions[2])() = {
  &scr_roomA,
  &scr_roomB
};

void goto_room(u32 *next_room){
  (*roomFunctions[*next_room])();
}