#include <tonc.h>
#include "include/link.h"
#include "include/room.h"

OBJ_ATTR sprite_list[128];
u32 sprite_count = 0;
u32 room_index = roomA;

ObjectLink Link;

int main(){
  irq_init(NULL);
  irq_add(II_VBLANK,NULL);
  oam_init(sprite_list,128);
  
  memcpy(pal_bg_mem,dungeon_bkgPal,dungeon_bkgPalLen);
  memcpy(&tile_mem[0][0],dungeon_bkgTiles,dungeon_bkgTilesLen);
  memcpy(&se_mem[31][0],dungeon_bkgMap,dungeon_bkgMapLen);
  
  REG_BG0CNT= BG_CBB(0) | BG_SBB(31) | BG_4BPP | BG_REG_32x32;
  REG_DISPCNT= DCNT_MODE0 | DCNT_BG0 | DCNT_OBJ | DCNT_OBJ_1D;
  
  REG_BG0HOFS = 0;
  REG_BG0VOFS = 0;

  while (TRUE) 
    goto_room(&room_index);
	
  return 0;
}